//package cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.station;
//
//import cn.estsh.i3plus.ext.mes.pcn.api.busi.IMesProductionProcessContextStepService;
//import cn.estsh.i3plus.ext.mes.pcn.pojo.util.MesPcnExtConstWords;
//import cn.estsh.i3plus.mes.pcn.serviceimpl.fsm.BaseModuleService;
//import cn.estsh.i3plus.platform.common.util.MesPcnConstWords;
//import cn.estsh.i3plus.pojo.base.enumutil.MesPcnEnumUtil;
//import cn.estsh.i3plus.pojo.mes.model.ButtonDynamicModel;
//import cn.estsh.i3plus.pojo.mes.model.StationRequestBean;
//import cn.estsh.i3plus.pojo.mes.model.StationResultBean;
//import com.alibaba.fastjson.JSONObject;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Service;
//import org.springframework.util.StringUtils;
//
//import java.util.Map;
//
///**
// * @Description : 展示组件：非排序生产（按钮 临时）
// * @Author :wangjie
// **/
//@Slf4j
//@Service("mesProductionNoSortFunctionModuleService")
//class MesProductionNoSortFunctionModuleService extends BaseModuleService {
//
//    @Autowired
//    private IMesProductionProcessContextStepService productionProcessContextStepService;
//
//    @Override
//    public boolean doFunction(StationRequestBean reqBean) {
//
//        StationResultBean resultBean = new StationResultBean();
//
//        String functionCmd = (String) reqBean.getDataMap().get(MesPcnExtConstWords.FUNCTION_CMD);
//        ButtonDynamicModel buttonDynamicModel = !StringUtils.isEmpty(functionCmd) ? JSONObject.parseObject(functionCmd, ButtonDynamicModel.class) : null;
//
//        if (null != buttonDynamicModel)
//
//
//
//            this.sendMessage(reqBean,  resultBean, "后端未获取到业务功能指令!", MesPcnEnumUtil.STATION_BUSI_TYPE.MESSAGE, MesPcnEnumUtil.STATION_DATA_TYPE.EXP_TEXT);
//
//
//
//
//
//        switch (command) {
//            case MesPcnExtConstWords.CMD_WORK_ORDER :
//                if (StringUtils.isEmpty(value)) {
//                    this.sendMessage(reqBean,  null, "请选择启动状态的生产工单!", MesPcnEnumUtil.STATION_BUSI_TYPE.MESSAGE, MesPcnEnumUtil.STATION_DATA_TYPE.EXP_TEXT);
//                    return result;
//                }
//
//                String selectWorkOrderNo = (String) doHandleSelectWorkOrderNo(reqBean, 1, null);
//                selectWorkOrderNo = (StringUtils.isEmpty(selectWorkOrderNo) || !selectWorkOrderNo.contains(MesPcnExtConstWords.COLON)) ? selectWorkOrderNo : selectWorkOrderNo.split(MesPcnExtConstWords.COLON)[1];
//                if (!StringUtils.isEmpty(selectWorkOrderNo) && selectWorkOrderNo.equals(value)) return result;
//                reqBean.setForceJumpProcess(true);
//                if ((Boolean) doHandleSelectWorkOrderNo(reqBean, 2, value.toString())) result = true;
//                else {
//                    this.sendMessage(reqBean,  null, String.format("切换的生产工单[%s]缓存失败,请重试!", value), MesPcnEnumUtil.STATION_BUSI_TYPE.MESSAGE, MesPcnEnumUtil.STATION_DATA_TYPE.EXP_TEXT);
//                    return result;
//                }
//                break;
//            case MesPcnExtConstWords.CMD_BUSI_FLAG :
//                if (StringUtils.isEmpty(value)) {
//                    this.sendMessage(reqBean,  null, "请点击业务按钮!", MesPcnEnumUtil.STATION_BUSI_TYPE.MESSAGE, MesPcnEnumUtil.STATION_DATA_TYPE.EXP_TEXT);
//                    return result;
//                }
//
//                String curBusiFlag = (String) doHandleBusiFlag(reqBean, 1, null);
//                if (!StringUtils.isEmpty(curBusiFlag) && curBusiFlag.equals(value)) return result;
//                reqBean.setTriggerAutoFsm(true);
//                if (StringUtils.isEmpty(curBusiFlag)) {
//                    if ((Boolean) doHandleBusiFlag(reqBean, 2, value.toString())) result = true;
//                    else {
//                        this.sendMessage(reqBean,  null, String.format("业务按钮[%s]缓存失败,请重试!", value), MesPcnEnumUtil.STATION_BUSI_TYPE.MESSAGE, MesPcnEnumUtil.STATION_DATA_TYPE.EXP_TEXT);
//                        return result;
//                    }
//                }
//                break;
//            case MesPcnExtConstWords.CMD_FORCE_CENTER_PASS :
//                if (StringUtils.isEmpty(value)) {
//                    this.sendMessage(reqBean,  null, "入参缺少产线强制放行的工步代码!", MesPcnEnumUtil.STATION_BUSI_TYPE.MESSAGE, MesPcnEnumUtil.STATION_DATA_TYPE.EXP_TEXT);
//                    return result;
//                }
//                String pwd = (String) dataMap.get(MesPcnExtConstWords.PWD);
//                if (!jxProduceSnExtService.checkPorceCenterPassPwd(reqBean, pwd)) {
//                    this.sendMessage(reqBean,  null, String.format("产线强制放行验证密码[%s]不正确!", pwd), MesPcnEnumUtil.STATION_BUSI_TYPE.MESSAGE, MesPcnEnumUtil.STATION_DATA_TYPE.EXP_TEXT);
//                    return result;
//                }
//                reqBean.setForceSpecStepCode(value.toString());
//                result = true;
//                break;
//            default:
//                break;
//        }
//
//        if (!result) this.sendMessage(reqBean,  null, "操作太频繁!", MesPcnEnumUtil.STATION_BUSI_TYPE.MESSAGE, MesPcnEnumUtil.STATION_DATA_TYPE.EXP_TEXT);
//        else {
//            //跳过工序
//            reqBean.setClientInfo(shippingDispatchService.getActorClientInfo(reqBean));
//            reqBean.setInterfaceType(MesPcnConstWords.SHIPPING);
//            reqBean.setBusiType(MesPcnConstWords.WS_CMD_DO_SCAN);
//            shippingDispatchService.doSendScanQueueNextExec(reqBean);
//        }
//        return result;
//    }
//
//}
